#include <iostream>
#include <bits/stdc++.h>
using namespace std;
int main()
{
    long double zbir=0,zbir1,zbir_max=0;
    long i,n;
    scanf("%li",&n);
    float p[n];
    long z[n];
    for(i=0;i<n;i++)
    {
        scanf("%li%f",&z[i],&p[i]);
        zbir+=z[i];
    }
    sort(p,p+n);
    sort(z,z+n);
    for(i=0;i<n;i++)
    {
        zbir1=zbir*(p[i]/100.0);
        zbir-=z[i];
        if(zbir1>zbir_max)
            zbir_max=zbir1;
    }
    printf("%Lf",zbir_max);

    return 0;
}